org.codehaus.groovy.runtime.wrappers

## Class Wrapper

- java.lang.Object
- - org.codehaus.groovy.runtime.wrappers.Wrapper

All Implemented Interfaces:
  GroovyObject

Direct Known Subclasses:
  GroovyObjectWrapper, PojoWrapper

    public abstract class Wrapper
    extends java.lang.Object
    implements GroovyObject

Author:
  John Wilson

### Field Summary

Fields
`protected java.lang.Class` `constrainedType`

### Constructor Summary

Constructors
Constructor and Description
`Wrapper(java.lang.Class constrainedType)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract MetaClass` `getDelegatedMetaClass()`
`MetaClass` `getMetaClass()` Returns the metaclass for a given class.
`java.lang.Class` `getType()`
`protected abstract java.lang.Object` `getWrapped()`
`abstract java.lang.Object` `unwrap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface groovy.lang.GroovyObject

`getProperty, invokeMethod, setMetaClass, setProperty`

### Field Detail

#### constrainedType

    protected final java.lang.Class constrainedType

### Constructor Detail

#### Wrapper

    public Wrapper(java.lang.Class constrainedType)

### Method Detail

#### getMetaClass

    public MetaClass getMetaClass()

Description copied from interface: `GroovyObject`
Returns the metaclass for a given class.

Specified by:
  `getMetaClass` in interface `GroovyObject`
Returns:
  the metaClass of this instance

#### getType

    public java.lang.Class getType()

#### unwrap

    public abstract java.lang.Object unwrap()

#### getWrapped

    protected abstract java.lang.Object getWrapped()

#### getDelegatedMetaClass

    protected abstract MetaClass getDelegatedMetaClass()